Subject: Re: bug#68985: 30.0.50; Gnus: Add option to disable display of logo image in mode-line

From: Richard Stallman <[email-masked]>
Date: Sat, 10 Feb 2024 22:26:15 -0500

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > > As Manuel Giraud said in the other subthread, it's "for those that don't
  > > want too much icons in their Emacs". Personally, I prefer to not see any
  > > icons or images in my Emacs - unless viewing an image. It distracts me
  > > from text.

Users who feel that way would probably extend it to other packages,
not just Gnus.  Perhaps we should establish a customization option
`fewer-images-flag' which would affect other packages in the same way
as Gnus.

  > If we're going down this path, I'd rather expand the scope a little bit
  > with a customize option that defaults to this value:

  > '((:type svg :file "gnus-pointer.svg"
  >         :ascent center)
  >  (:type xpm :file "gnus-pointer.xpm"
  >         :ascent center)
  >  (:type xbm :file "gnus-pointer.xbm"
  >         :ascent center))

I see no harm in giving Gnus this option.  But people who prefer
to "see fewer images" in Emacs would find setting the new option more
convenient than setting lots of options for specific packages.
So it might be better to have both.

-- 
Dr Richard Stallman (https://stallman.org)
Chief GNUisance of the GNU Project (https://gnu.org)
Founder, Free Software Foundation (https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)